package geniusweb.bidspace.pareto;

import java.util.List;
import java.util.Set;

import geniusweb.issuevalue.Bid;
import geniusweb.profile.Profile;

/**
 * The pareto frontier is the set of {@link Bid}s for which there is no other
 * bid that is similar or better for the involved profiles.
 *
 */
public interface ParetoFrontier {

	/**
	 * 
	 * @return the profiles that form the basis of this pareto frontier.
	 */
	List<? extends Profile> getProfiles();

	/**
	 * @return the set of all {@link Bid}s that are on the pareto frontier.
	 */
	Set<Bid> getPoints();
}
